### Function

# Secret Collection for_alias_sync

#### Declaration [src]

    SecretCollection*
    secret_collection_for_alias_sync (
      SecretService* service,
      const gchar* alias,
      SecretCollectionFlags flags,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Lookup which collection is assigned to this alias. Aliases help determine well known collections, such as `default`.

If `service` is `NULL`, then `secret_service_get_sync()` will be called to get the default `SecretService` proxy.

This method may block and should not be used in user interface threads.

#### Parameters

`service` | `SecretService`
| A secret service object.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`alias` | `const gchar*`
| The alias to lookup.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`flags` | `SecretCollectionFlags`
| Options for the collection initialization.
`cancellable` | `GCancellable`
| Optional cancellation object.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `SecretCollection`
| The collection, or `NULL` if none assigned to the alias.
| The caller of the function takes ownership of the data, and is responsible for freeing it.